var meta = document.createElement('meta');
meta.setAttribute('name', 'viewport');
meta.setAttribute('content', 'width=device-width,initial-scale=1,user-scalable=no');
document.getElementsByTagName('head')[0].appendChild(meta);

function disableInput() {
    var inputArr = document.getElementsByTagName("input");
    var i;
    for (i = 0; i < inputArr.length; i ++){
        var item = inputArr[i];
        item.setAttribute('readonly', 'readonly');
    }
    var arr = document.getElementsByClassName('quizPutTag');
    var i;
    for (i = 0; i < arr.length; i ++){
        var item = arr[i];
        item.removeAttribute('contenteditable');
    }
}

//arr1正确答案，arr2个人答案
function reloadOptionStatus(arr1, arr2) {
    var flags = document.getElementsByClassName("option-flag");
    var i;
    for (i = 0; i < flags.length; i ++){
        var flag = flags[i];
        var in_arr1 = arr1.in_array(i);
        var in_arr2 = arr2.in_array(i);
        if (in_arr1){
            flag.style.color = "#FFFFFF";
            flag.style.borderColor = "#AFE099";
            flag.style.background = "#AFE099";
        }else {
            if(in_arr2){
                flag.style.color = "#FFFFFF";
                flag.style.borderColor = "#FF5151";
                flag.style.background = "#FF5151";
            }else {
                flag.style.color = "#A2A2A2";
                flag.style.borderColor = "#A2A2A2";
                flag.style.background = "transparent";
            }
        }
    }
}

//function reloadOptionStatus(arr1, arr2, answerDesp) {
//    reloadOptionStatus(arr1, arr2, '', '');
//}
//
//function reloadOptionStatus(arr1, arr2, answerDesp, remark) {
//    var flags = document.getElementsByClassName("option-flag");
//    var i;
//    for (i = 0; i < flags.length; i ++){
//        var flag = flags[i];
//        var in_arr1 = arr1.in_array(i);
//        var in_arr2 = arr2.in_array(i);
//        if (in_arr1){
//            flag.style.color = "#FFFFFF";
//            flag.style.borderColor = "#AFE099";
//            flag.style.background = "#AFE099";
//        }else {
//            if(in_arr2){
//                flag.style.color = "#FFFFFF";
//                flag.style.borderColor = "#FF5151";
//                flag.style.background = "#FF5151";
//            }else {
//                flag.style.color = "#A2A2A2";
//                flag.style.borderColor = "#A2A2A2";
//                flag.style.background = "transparent";
//            }
//        }
//    }
//    var answer = document.getElementById("answer-desp");
//    if(answerDesp != null){
//        answer.innerHTML = answerDesp;
//    }
//    var questionRemark = document.getElementById("question-remark");
//    if(remark != null){
//        questionRemark.innerHTML = remark;
//    }
//}

function reloadOptions(arr){
    var flags=document.getElementsByClassName("option-flag");
    var i;
    for (i = 0; i < flags.length; i ++){
        var flag = flags[i];
        if(arr.in_array(i)) {
            flag.style.color = "#4E4E4E";
            flag.style.borderColor ="#FFDC57";
            flag.style.background = "#FFDC57";
        }else {
            flag.style.color = "#A2A2A2";
            flag.style.borderColor = "#C8C8C8";
            flag.style.background = "transparent";
        }
    }
}

/**
 *点击选项后的回调
 */
function clickOptionAtIndex(index) {
    reloadOptions([index]);
    window.AnswerJsInterface.clickOption(index)
}

Array.prototype.in_array = function (e) {
    var r=new RegExp(','+e+',');
    return (r.test(',' + this.join(this.S) + ','));
}
